QGIS Application - Bug report #3562
QGIS incompatible with QWT 6.0.0
2011-03-07 06:50 AM - marisn -

Status: Closed
Priority: Low
Assignee:

Category: Build/Install

Affected QGIS version:master
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 13622

Description
QGIS r15378
Gentoo ~AMD64
equery | *qwt*'
* Searching for *qwt™ ...

[IP-]1[ ]dev-python/pyqwt-5.2.0:5
[IP-][ 1x11-libs/qwt-6.0.0_rc5:5

[ 36%)] Building CXX object src/app/CMakeFiles/qgis.dir/qgisapp.cpp.o
In file included from /home/maris/soft/qgis_trunk/src/app/gps/qgsgpsinformationwidget.h:27:0,

from /home/maris/soft/qgis_trunk/src/app/qgisapp.cpp:121:

/home/maris/soft/qgis_trunk/src/app/gps/qwtpolar/qwt_polar_plot.h:14:33: fatal error: qwt_double_interval.h: No such file or

directory
compilation terminated.

History

#1 - 2011-03-07 06:59 AM - Volker Fréhlich

I'll try to build with my external Qwtpolar in the evening.

| think you should report that to Qwtpolar upstream though.

#2 - 2011-03-07 07:38 AM - marisn -

Replying to [comment:1 volter]:

I'll try to build with my external Qwtpolar in the evening.

| think you should report that to Qwipolar upstream though.

This is the reason why You should not clone code. Qwtpolar is just fine, it's QGIS bundled clone out of sync.
Just fast googling reveals this file without any references to "qwt_double_interval.h":

http://qwtpolar.svn.sourceforge.net/viewvc/gwtpolar/trunk/qwtpolar/src/qwt_polar_plot.h?revision=103&#38;view=markup

#3 - 2011-03-07 08:00 AM - Volker Frohlich

Now we only need to find packagers for Qwtpolar for all distris besides Fedora, as well as include it in the Windows installer. :)

It is prepared inside QGIS since .

#4 - 2011-03-08 01:44 PM - Volker Frohlich

Also the last released upstream version of Qwtpolar does not build with Qwt 6.0.

[[PyQwt]] as well won't build with Qwt 6.0.

Therefore | think this shouldn't be seen as a QGIS bug.

#5 - 2011-03-09 06:00 AM - marisn -

Replying to [comment:4 volter]:

Also the last released upstream version of Qwtpolar does not build with Qwt 6.0.

[[PyQwt]] as well won't build with Qwt 6.0.

Therefore | think this shouldn't be seen as a QGIS bug.

Force with You is strong, but those are not the droids You are looking for.

- Qwt 6.0.0 is starting to appear on user machines;
- For some time there will be systems with Qwt 6.0 and 5.x around (depending on distro packaging policy);

- 1 6.0 is unsupported, QGIS configure system (cmake) should detect incompatible version and refuse to do anything.

#6 - 2011-03-26 01:54 AM - Volker Frohlich

http://sourceforge.net/support/tracker.php?aid=3195924

See comment there!

#7 - 2011-07-13 01:04 PM - Thomas Dziedzic

since this seems to have been fixed in qwtpolar upstream,
can we get this fixed in qgis?

I'm currently experiencing this bug in archlinux.

#8 - 2011-07-15 11:03 AM - Thomas Dziedzic
- File convert_qwtarray to_qvector.diff added
http://qwtpolar.svn.sourceforge.net/viewvc/qwtpolar/trunk/qwtpolar/src/qwt_polar_plot.h?revision=103&#38;view=markup
http://sourceforge.net/support/tracker.php?aid=3195924

| have built gwtpolar-svn (an external package) against qwt 6.0.0 successfully but there still seems to be issues that need to be worked out.

| have fixed the missing qwt_array.h header error by replacing all QwtArray declarations to QVector types since qwt_array was just a wrapper for QVector
anyways.
| have attached the patch that does this.

Now | am getting the following errors:

[ 47%)] Building CXX object src/app/CMakeFiles/qgis.dir/qgsrasterlayerproperties.cpp.o

/build/src/qgis-1.7.0/src/app/qgsrasterlayerproperties.cpp: In member function 'void QgsRasterLayerProperties::refreshHistogram()":
/build/src/qgis-1.7.0/src/app/qgsrasterlayerproperties.cpp:1861:11: error: 'class QwtPlot' has no member named 'clear’
/build/src/qgis-1.7.0/src/app/qgsrasterlayerproperties.cpp:1933:43: error: no matching function for call to 'QwtPlotCurve::setData(QVector<double>&,
QVector<double>&)'

/build/src/qgis-1.7.0/src/app/qgsrasterlayerproperties.cpp:1933:43: note: candidate is:

/usr/include/qwt/qwt_plot_seriesitem.h:146:6: note: void QwtPlotSeriesltem<T>::setData(QwtSeriesData<T>*) [with T = QPointF]
/usr/include/qwt/qwt_plot_seriesitem.h:146:6: note: candidate expects 1 argument, 2 provided
/build/src/qgis-1.7.0/src/app/qgsrasterlayerproperties.cpp: In member function 'void QgsRasterLayerProperties::on_mSaveAsimageButton_clicked()":
/build/src/qgis-1.7.0/src/app/qgsrasterlayerproperties.cpp:1968:3: error: 'QwtPlotPrintFilter' was not declared in this scope
/build/src/qgis-1.7.0/src/app/qgsrasterlayerproperties.cpp:1968:22: error: expected ;' before 'myFilter'
/build/src/qgis-1.7.0/src/app/qgsrasterlayerproperties.cpp:1969:19: error: 'QwtPlotPrintFilter' is not a class or namespace
/build/src/qgis-1.7.0/src/app/qgsrasterlayerproperties.cpp:1970:17: error: '‘QwtPlotPrintFilter' is not a class or namespace
/build/src/qgis-1.7.0/src/app/qgsrasterlayerproperties.cpp:1971:16: error: '‘QwtPlotPrintFilter' is not a class or namespace
/build/src/qgis-1.7.0/src/app/qgsrasterlayerproperties.cpp:1972:3: error: 'myFilter' was not declared in this scope
/build/src/qgis-1.7.0/src/app/qgsrasterlayerproperties.cpp:1974:11: error: 'class QwtPlot' has no member named 'print’

make?: * [src/app/CMakeFiles/qgis.dir/qgsrasterlayerproperties.cpp.o] Error 1

make!: * [src/app/CMakeFiles/qgis.dir/all] Error

#9 - 2011-07-15 02:47 PM - Thomas Dziedzic

| could not find an obvious replacement for clear() and QwtPlotPrintFilter, but setData should be easily replaced with setSamples

#10 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#11 - 2012-02-02 02:00 PM - Jiirgen Fischer
- Assignee deleted (nobody -)

- Resolution set to fixed

- Pull Request or Patch supplied set to No

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Status changed from Open to Closed

apparently fixed in commit:f71ecb90b ff

Files

convert_qgwtarray_to_qvector.diff 990 Bytes 2011-07-15 Thomas Dziedzic
